org.encog.ml

## Class BasicML

- java.lang.Object
- - org.encog.ml.BasicML

- All Implemented Interfaces:
    Serializable, MLMethod, MLProperties
  Direct Known Subclasses:
    AbstractPNN, ART, BAM, BasicNetwork, BasicPopulation, BasicUniverse, BayesianNetwork, CPN, FreeformNetwork, HiddenMarkovModel, RBFNetwork, SOM, SVM, ThermalNetwork

      public abstract class BasicML
      extends Object
      implements MLMethod, MLProperties, Serializable

  A class that provides basic property functionality for the MLProperties interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicML()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getProperties()`
    `double` | `getPropertyDouble(String name)` Get the specified property as a double.
    `long` | `getPropertyLong(String name)` Get the specified property as a long.
    `String` | `getPropertyString(String name)` Get the specified property as a string.
    `void` | `setProperty(String name, double d)` Set a property as a double.
    `void` | `setProperty(String name, long l)` Set a property as a long.
    `void` | `setProperty(String name, String value)` Set a property as a double.
    `abstract void` | `updateProperties()` Update any objeccts when a property changes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicML

          public BasicML()

  - ### Method Detail

    - #### getProperties

          public Map<String,String> getProperties()

      Specified by:
        `getProperties` in interface `MLProperties`
      Returns:
        A map of all properties.

    - #### getPropertyDouble

          public double getPropertyDouble(String name)

      Get the specified property as a double.
      Specified by:
        `getPropertyDouble` in interface `MLProperties`
      Parameters:
        `name` - The name of the property.
      Returns:
        The property as a double.

    - #### getPropertyLong

          public long getPropertyLong(String name)

      Get the specified property as a long.
      Specified by:
        `getPropertyLong` in interface `MLProperties`
      Parameters:
        `name` - The name of the specified property.
      Returns:
        The value of the specified property.

    - #### getPropertyString

          public String getPropertyString(String name)

      Get the specified property as a string.
      Specified by:
        `getPropertyString` in interface `MLProperties`
      Parameters:
        `name` - The name of the property.
      Returns:
        The value of the property.

    - #### setProperty

          public void setProperty(String name,
                         double d)

      Set a property as a double.
      Specified by:
        `setProperty` in interface `MLProperties`
      Parameters:
        `name` - The name of the property.
        `d` - The value of the property.

    - #### setProperty

          public void setProperty(String name,
                         long l)

      Set a property as a long.
      Specified by:
        `setProperty` in interface `MLProperties`
      Parameters:
        `name` - The name of the property.
        `l` - The value of the property.

    - #### setProperty

          public void setProperty(String name,
                         String value)

      Set a property as a double.
      Specified by:
        `setProperty` in interface `MLProperties`
      Parameters:
        `name` - The name of the property.
        `value` - The value of the property.

    - #### updateProperties

          public abstract void updateProperties()

      Description copied from interface: `MLProperties`
      Update any objeccts when a property changes.
      Specified by:
        `updateProperties` in interface `MLProperties`

Copyright © 2014. All Rights Reserved.